
# Check for a Solaris install
if /bin/uname -a |/bin/grep -i SunOS >/dev/null
then {
echo "SunOS - Checking version "
  if /bin/uname -a |/bin/grep -i "5." >/dev/null
  then {
	export PATH=/usr/ucb:$PATH
	LD_OPTIONS=$LD_OPTONS" "
  	echo "Aha, you have Solaris 2 (SunOS 5.x)... " 
	echo "Checking X Server  (WIne won't work with stock Sun Xserver) "
	echo "Checking for 3rd party X server "
	XSERVER_LOCATION=/usr/X11R6
	if test -d $XSERVER_LOCATION
	then {
		echo "Found Third Party Xserver at $XSERVER_LOCATION"
		LD_OPTIONS=$LD_OPTIONS" -R $XSERVER_LOCATION/lib "
		CONFARGS=$CONFARGS" --with-x-includes=$XSERVER_LOCATION/include --with-x-libraries=$XSERVER_LOCATION/lib"
	echo
	}
	fi
	
     echo "Solaris binary packages usually place wine in /opt/cfw/wine"
     echo "but the Standard place for wine as predefined in configure is usually /usr/local "
     echo "Do you want wine in /opt/cfw/wine ? "
      conf_yesno_answer "(yes/no) "
      if [ "$ANSWER" = "yes" ]
      then {
	echo "Placing wine in /opt/cfw/wine "
 		CONFARGS=$CONFARGS" --prefix=/opt/cfw/wine "
    	}
	else {
  		echo "Placing wine in the default place "
	}
	fi
  echo " Solaris Build Configuration "
  echo " configure options:  $CONFARGS "
  echo " Linker options: $LD_OPTIONS "
  
  }
  fi
}
fi
